Redmine - Defect #37730

Missing copyright headers in source files
2022-10-02 03:20 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed Affected version:

Description

The source files in the following list are missing proper copyright headers:

View file list...View file list...

e source:/trunk/public/javascripts/responsive.js

e source:/trunk/lib/redmine/core_ext/string.rb
source:/trunk/lib/redmine/scm/base.rb
source:/trunk/lib/redmine/codeset_util.rb
source:/trunk/lib/redmine/core_ext.rb
source:/trunk/lib/redmine/info.rb
source:/trunk/lib/redmine/natifiable.rb
source:/trunk/lib/redmine/sudo_mode.rb
source:/trunk/lib/redmine/version.rb

source:/trunk/lib/plugins/acts_as_activity _provider/init.rb
source:/trunk/lib/plugins/acts_as_attachable/init.rb
source:/trunk/lib/plugins/acts_as_customizable/init.rb
source:/trunk/lib/plugins/acts_as_event/init.rb
source:/trunk/lib/plugins/acts_as_searchable/init.rb
source:/trunk/lib/plugins/acts_as_watchable/init.rb
source:/trunk/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb

source:/trunk/lib/tasks/ci.rake
source:/trunk/lib/tasks/deprecated.rake
source:/trunk/lib/tasks/extract_fixtures.rake
source:/trunk/lib/tasks/initializers.rake
source:/trunk/lib/tasks/load_default_data.rake
source:/trunk/lib/tasks/locales.rake

e source:/trunk/lib/tasks/metrics.rake

e source:/trunk/lib/tasks/permissions.rake

e source:/trunk/lib/tasks/testing.rake

e source:/trunk/lib/tasks/yardoc.rake

e source:/trunk/public/stylesheets/application.css

e source:/trunk/public/stylesheets/context menu.css

e source:/trunk/public/stylesheets/context_menu_rtl.css
e source:/trunk/public/stylesheets/jstoolbar.css®

e source:/trunk/public/stylesheets/responsive.css

e source:/trunk/public/stylesheets/rtl.css

e source:/trunk/public/stylesheets/scm.css

e source:/trunk/public/themes/alternate/stylesheets/application.css
e source:/trunk/public/themes/classic/stylesheets/application.css

appropriate copyright headers (even the plugin initialization, rake task and CSS files).

! since the content of this file is derived from DotClear, it might be correct to add the original DotClear copyright headers (like e.g.

source:/trunk/public/javascripts/jstoolbar) to this file.

Given that all these files are distributed as part of the Redmine core, I'd say that it would be correct if each of them would contain
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/responsive.js
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/core_ext/string.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/scm/base.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/codeset_util.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/core_ext.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/info.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/notifiable.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/sudo_mode.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/version.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_activity_provider/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_attachable/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_customizable/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_event/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_searchable/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_watchable/init.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/ci.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/deprecated.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/extract_fixtures.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/initializers.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/load_default_data.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/locales.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/metrics.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/permissions.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/testing.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/tasks/yardoc.rake
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/application.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/context_menu.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/context_menu_rtl.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/jstoolbar.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/responsive.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/rtl.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/scm.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/themes/alternate/stylesheets/application.css
www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/themes/classic/stylesheets/application.css
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/javascripts/jstoolbar

Associated revisions

Revision 22482 - 2023-11-26 15:07 - Marius BALTEANU
Add missing copyrights (#37730).

Patch by Karel Picman.

Revision 22600 - 2024-01-11 07:22 - Marius BALTEANU

Remove wrong copyright headers from acts_as_tree plugin (#37730).

Revision 22601 - 2024-01-11 07:32 - Marius BALTEANU
Shorten copyright headers for css files (#37730).

Revision 22602 - 2024-01-11 07:36 - Marius BALTEANU
Shorten copyright headers for JS toolbar files (#37730).

Revision 22603 - 2024-01-11 07:37 - Marius BALTEANU
Shorten copyright headers for JS files (#37730).

Revision 22604 - 2024-01-11 09:13 - Marius BALTEANU
Remove copyright headers from tribute.css file (#37730).

History

#1 - 2022-10-31 10:10 - Go MAEDA

- Target version set to 5.1.0

#2 - 2023-10-09 03:20 - Go MAEDA
- Target version changed from 5.1.0 to 6.0.0

#3 - 2023-10-10 14:49 - Karel Picman
- File copyright.diff added

Here is a patch covering missing copyright headers.

#4 - 2023-11-26 15:21 - Marius BALTEANU
- Status changed from New to Closed
- Assignee set to Marius BALTEANU

- Resolution set to Fixed
Committed, thanks!

#5 - 2023-11-30 04:29 - Mischa The Evil

- Status changed from Closed to Reopened

Thanks for fixing this. However, given our current asset serving mechanism, I'd have chosen to only add a short copyright notice to the CSS and JS
assets instead.
With the current change we increase bandwidth usage more than necessary IMHO and as such we might want to (re-)consider this...

#6 - 2023-12-06 07:40 - Mischa The Evil

Additionally, r22482 also adds a header to acts_as_tree plugin files, which is obviously incorrect (it's in fact a vendored third-party core component,
see source:/trunk/lib/plugins/acts_as_tree/README).

#7 - 2024-01-11 07:41 - Marius BALTEANU

Thanks Mischa for review the changes, | have fixed now all the reported issues.

#8 - 2024-01-11 07:41 - Marius BALTEANU

- Status changed from Reopened to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/22482
https://www.redmine.org/projects/redmine/wiki/List_of_vendored_third-party_core_components
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_tree/README

#9 - 2024-01-11 09:10 - Go MAEDA

- Status changed from Closed to Reopened

I think we should not add Redmine's copyright header to source:trunk/public/stylesheets/tribute-5.1.3.css because the file is a part of Tribute
distribution.

https://github.com/zurb/tribute/blob/master/dist/tribute.css

#10 - 2024-01-11 09:13 - Marius BALTEANU

- Status changed from Reopened to Closed

Go MAEDA wrote in #note-9:

| think we should not add Redmine's copyright header to source:trunk/public/stylesheets/tribute-5.1.3.css because the file is a part of Tribute
distribution.

https:/github.com/zurb/tribute/blob/master/dist/tribute.css

Agree, fixed, thanks!

Files

copyright.diff 51.2KB 2023-10-10 Karel Picman
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/tribute-5.1.3.css
https://github.com/zurb/tribute/blob/master/dist/tribute.css
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/public/stylesheets/tribute-5.1.3.css
https://github.com/zurb/tribute/blob/master/dist/tribute.css
http://www.tcpdf.org

